> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puppeteerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Thread

> Create a new thread.



## OpenAPI

````yaml /api-reference/openapi.json post /threads
openapi: 3.1.0
info:
  title: Puppeteer Core API
  description: >-
    Core API for the Puppeteer AI platform. Manages domain models,
    conversations, voice calls, simulations, and integrations.


    [Documentation](https://docs.puppeteerai.com)
  version: 1.0.0
servers:
  - url: https://api.puppeteerai.com
    description: Production
security: []
tags:
  - name: Auth
    description: JWT token generation and organization creation.
  - name: Messages
    description: >-
      Send and receive messages, retrieve conversation history, search, and
      create messages in threads.
  - name: Threads
    description: Create and manage threads, aliases, scheduled events, and bulk operations.
  - name: Voice
    description: Voice call handling, scheduling, batch calls, and WebSocket LLM.
paths:
  /threads:
    post:
      tags:
        - Threads
      summary: Create Thread
      description: Create a new thread.
      operationId: create_thread_threads_post
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateThreadInput'
              default:
                type: NORMAL
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateThreadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateThreadInput:
      properties:
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone
          description: Timezone for the thread (e.g., "America/Chicago").
        user_phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: User Phone Number
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        project_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Name
          description: The name of the Puppeteer project.
        json_data:
          anyOf:
            - type: string
            - type: 'null'
          title: Json Data
          description: >-
            JSON data as a string to be sent to the thread upon creation. This
            data will be processed by the thread's JSON input handler.
      type: object
      title: CreateThreadInput
    CreateThreadResponse:
      properties:
        thread_id:
          type: string
          title: Thread Id
          description: The generated unique identifier for the new thread.
      type: object
      required:
        - thread_id
      title: CreateThreadResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````